[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TColorButton.Create

Constructor for the class instance.

## Declaration

Source position: dialogs.pp line 371

`public constructor TColorButton.Create(`
`AnOwner: TComponent`
`); override;`

## Arguments

`AnOwner` |  | Owner of the class instance.

## Description

Create is the constructor for TColorButton, and calls the inherited Create method. Create sets the initial bounds for the controls to their default values, and sets the values for properties including:

- ButtonColorSize (16)
- BorderWidth (2)
- ButtonColorAutoSize (True)

## See also

TCustomSpeedButton.Create |  | Create - constructor for TCustomSpeedButton: calls inherited Create and initializes many defaults and properties.